[arch-commits] Commit in alsa-utils/repos (14 files)

Tobias Powalowski tpowa at nymeria.archlinux.org
Mon Apr 15 13:03:31 UTC 2013


    Date: Monday, April 15, 2013 @ 15:03:31
  Author: tpowa
Revision: 182805

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  alsa-utils/repos/extra-i686/90alsa
    (from rev 182804, alsa-utils/trunk/90alsa)
  alsa-utils/repos/extra-i686/PKGBUILD
    (from rev 182804, alsa-utils/trunk/PKGBUILD)
  alsa-utils/repos/extra-i686/alsa
    (from rev 182804, alsa-utils/trunk/alsa)
  alsa-utils/repos/extra-i686/alsa-restore-1.0.27.service.patch
    (from rev 182804, alsa-utils/trunk/alsa-restore-1.0.27.service.patch)
  alsa-utils/repos/extra-i686/alsa.conf.d
    (from rev 182804, alsa-utils/trunk/alsa.conf.d)
  alsa-utils/repos/extra-i686/alsactl-fix-buffer-overflow-1.0.27.patch
    (from rev 182804, alsa-utils/trunk/alsactl-fix-buffer-overflow-1.0.27.patch)
  alsa-utils/repos/extra-x86_64/90alsa
    (from rev 182804, alsa-utils/trunk/90alsa)
  alsa-utils/repos/extra-x86_64/PKGBUILD
    (from rev 182804, alsa-utils/trunk/PKGBUILD)
  alsa-utils/repos/extra-x86_64/alsa
    (from rev 182804, alsa-utils/trunk/alsa)
  alsa-utils/repos/extra-x86_64/alsa-restore-1.0.27.service.patch
    (from rev 182804, alsa-utils/trunk/alsa-restore-1.0.27.service.patch)
  alsa-utils/repos/extra-x86_64/alsa.conf.d
    (from rev 182804, alsa-utils/trunk/alsa.conf.d)
  alsa-utils/repos/extra-x86_64/alsactl-fix-buffer-overflow-1.0.27.patch
    (from rev 182804, alsa-utils/trunk/alsactl-fix-buffer-overflow-1.0.27.patch)
Deleted:
  alsa-utils/repos/extra-i686/alsa-restore-1.0.27.service.patch
  alsa-utils/repos/extra-x86_64/alsa-restore-1.0.27.service.patch

-------------------------------------------------------+
 /alsa-restore-1.0.27.service.patch                    |   20 +++++
 extra-i686/90alsa                                     |   13 +++
 extra-i686/PKGBUILD                                   |   46 +++++++++++
 extra-i686/alsa                                       |   62 ++++++++++++++++
 extra-i686/alsa-restore-1.0.27.service.patch          |   10 --
 extra-i686/alsa.conf.d                                |   15 +++
 extra-i686/alsactl-fix-buffer-overflow-1.0.27.patch   |   25 ++++++
 extra-x86_64/90alsa                                   |   13 +++
 extra-x86_64/PKGBUILD                                 |   46 +++++++++++
 extra-x86_64/alsa                                     |   62 ++++++++++++++++
 extra-x86_64/alsa-restore-1.0.27.service.patch        |   10 --
 extra-x86_64/alsa.conf.d                              |   15 +++
 extra-x86_64/alsactl-fix-buffer-overflow-1.0.27.patch |   25 ++++++
 13 files changed, 342 insertions(+), 20 deletions(-)

Copied: alsa-utils/repos/extra-i686/90alsa (from rev 182804, alsa-utils/trunk/90alsa)
===================================================================
--- extra-i686/90alsa	                        (rev 0)
+++ extra-i686/90alsa	2013-04-15 13:03:31 UTC (rev 182805)
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# 90alsa: suspend/wakeup ALSA devices
+
+case "$1" in
+hibernate|suspend)
+;;
+thaw|resume)
+aplay -d 1 /dev/zero
+;;
+*) exit $NA
+;;
+esac

Copied: alsa-utils/repos/extra-i686/PKGBUILD (from rev 182804, alsa-utils/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2013-04-15 13:03:31 UTC (rev 182805)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=alsa-utils
+pkgver=1.0.27
+pkgrel=3
+pkgdesc="An alternative implementation of Linux sound support"
+arch=('i686' 'x86_64')
+url="http://www.alsa-project.org"
+#can not use >=$pkgver due to use of letters in alsa-lib update versioning
+depends=("alsa-lib>1.0.24" 'dialog' 'pciutils' 'ncurses' 'psmisc' 'libsamplerate')
+makedepends=('xmlto' 'docbook-xsl')
+license=('GPL')
+source=(ftp://ftp.alsa-project.org/pub/utils/$pkgname-${pkgver}.tar.bz2
+        90alsa
+        alsa-restore-1.0.27.service.patch
+        alsactl-fix-buffer-overflow-1.0.27.patch)
+backup=(etc/conf.d/alsa)
+
+prepare() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/alsa-restore-1.0.27.service.patch
+  patch -Np1 -i ${srcdir}/alsactl-fix-buffer-overflow-1.0.27.patch
+}
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --disable-alsaconf \
+    --with-udev-rules-dir=/usr/lib/udev/rules.d \
+    --with-systemdsystemunitdir=/usr/lib/systemd/system
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  install -D -m755 ../90alsa ${pkgdir}/etc/pm/sleep.d/90alsa
+
+  # dir where to save ALSA state
+  install -d ${pkgdir}/var/lib/alsa
+}
+md5sums=('cbfb21a24f63fb052b3392195639ce48'
+         '529216f6a46e61a546640e08ea7a0879'
+         '0a27f7b80351d6baa274c32d859bf037'
+         'cd577445636542f9f60b420e4ffe3f0f')

Copied: alsa-utils/repos/extra-i686/alsa (from rev 182804, alsa-utils/trunk/alsa)
===================================================================
--- extra-i686/alsa	                        (rev 0)
+++ extra-i686/alsa	2013-04-15 13:03:31 UTC (rev 182805)
@@ -0,0 +1,62 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/conf.d/alsa
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Restoring ALSA Levels"
+    if [[ ! -e /var/lib/alsa/asound.state ]]; then
+      /usr/sbin/alsactl $ALSA_ARGS store || { stat_fail; exit 1; }
+    fi
+    if /usr/sbin/alsactl $ALSA_ARGS restore; then
+      stat_done
+      add_daemon alsa
+    else
+      stat_fail
+      exit 1
+    fi
+
+    POWERSAVE=${POWERSAVE:-0}
+    if [[ -e /sys/module/snd_ac97_codec/parameters/power_save ]] \
+	  && (( $POWERSAVE )); then
+      echo $POWERSAVE > /sys/module/snd_ac97_codec/parameters/power_save
+      [[ -c /dev/dsp ]] && echo 1 > /dev/dsp
+    fi
+    if [[ -e /sys/module/snd_hda_intel/parameters/power_save ]] \
+	  && (( $POWERSAVE )); then
+      echo $POWERSAVE > /sys/module/snd_hda_intel/parameters/power_save
+      [[ -c /dev/dsp ]] && echo 1 > /dev/dsp
+    fi
+    ;;
+  stop)
+    SAVE_VOLUME=${SAVE_VOLUME:-yes}
+    if [[ "$SAVE_VOLUME" = "yes" ]]; then
+      stat_busy "Saving ALSA Levels"
+      /usr/sbin/alsactl $ALSA_ARGS store || { stat_fail; exit 1; }
+    else
+      stat_busy "Stopping ALSA"
+    fi
+    if [ "$MUTE_VOLUME" == "yes" ]; then
+      /usr/bin/amixer -q set Master 0 mute || { stat_fail; exit 1; }
+    fi
+    stat_done
+    rm_daemon alsa
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  force-restart)
+    stat_busy "Trying to TERM or KILL processes that are blocking ALSA..."
+    FILES="$(ls -1 /dev/snd/* | grep -vi control)"
+    fuser -k -SIGTERM $FILES
+    fuser -k $FILES
+    stat_done
+    $0 restart
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart|force-restart}"
+esac

Deleted: extra-i686/alsa-restore-1.0.27.service.patch
===================================================================
--- extra-i686/alsa-restore-1.0.27.service.patch	2013-04-15 13:01:11 UTC (rev 182804)
+++ extra-i686/alsa-restore-1.0.27.service.patch	2013-04-15 13:03:31 UTC (rev 182805)
@@ -1,10 +0,0 @@
---- alsa-utils-1.0.27/alsactl/alsa-restore.service.in.old	2013-04-15 14:37:57.326541394 +0200
-+++ alsa-utils-1.0.27/alsactl/alsa-restore.service.in	2013-04-15 14:38:10.179673494 +0200
-@@ -12,6 +12,6 @@
- Conflicts=shutdown.target
- 
- [Service]
--Type=oneshop
-+Type=oneshot
- ExecStart=- at sbindir@/alsactl restore
- StandardOutput=syslog

Copied: alsa-utils/repos/extra-i686/alsa-restore-1.0.27.service.patch (from rev 182804, alsa-utils/trunk/alsa-restore-1.0.27.service.patch)
===================================================================
--- extra-i686/alsa-restore-1.0.27.service.patch	                        (rev 0)
+++ extra-i686/alsa-restore-1.0.27.service.patch	2013-04-15 13:03:31 UTC (rev 182805)
@@ -0,0 +1,10 @@
+--- alsa-utils-1.0.27/alsactl/alsa-restore.service.in.old	2013-04-15 14:37:57.326541394 +0200
++++ alsa-utils-1.0.27/alsactl/alsa-restore.service.in	2013-04-15 14:38:10.179673494 +0200
+@@ -12,6 +12,6 @@
+ Conflicts=shutdown.target
+ 
+ [Service]
+-Type=oneshop
++Type=oneshot
+ ExecStart=- at sbindir@/alsactl restore
+ StandardOutput=syslog

Copied: alsa-utils/repos/extra-i686/alsa.conf.d (from rev 182804, alsa-utils/trunk/alsa.conf.d)
===================================================================
--- extra-i686/alsa.conf.d	                        (rev 0)
+++ extra-i686/alsa.conf.d	2013-04-15 13:03:31 UTC (rev 182805)
@@ -0,0 +1,15 @@
+# Arguments for alsactl
+# example: ALSA_ARGS="--file /var/lib/alsa/asound.state"
+ALSA_ARGS="--file /var/lib/alsa/asound.state"
+
+# Enables powersaving mode for AC97 and hda_intel audio chips.
+# Set to 1 to enable powersaving.
+# Set to 0 to disable powersaving (default).
+POWERSAVE=0
+
+# Whether to save volume levels when stopped ("yes" or "no").
+SAVE_VOLUME="yes"
+
+# Whether to mute the master volume when stopped ("yes" or "no").
+# Useful for bad audio cards which make a noise on system poweroff.
+MUTE_VOLUME="no"

Copied: alsa-utils/repos/extra-i686/alsactl-fix-buffer-overflow-1.0.27.patch (from rev 182804, alsa-utils/trunk/alsactl-fix-buffer-overflow-1.0.27.patch)
===================================================================
--- extra-i686/alsactl-fix-buffer-overflow-1.0.27.patch	                        (rev 0)
+++ extra-i686/alsactl-fix-buffer-overflow-1.0.27.patch	2013-04-15 13:03:31 UTC (rev 182805)
@@ -0,0 +1,25 @@
+From: Jaroslav Kysela <perex at perex.cz>
+Date: Mon, 15 Apr 2013 12:44:13 +0000 (+0200)
+Subject: alsactl: Fix the string size for the lock file contents
+X-Git-Url: http://git.alsa-project.org/?p=alsa-utils.git;a=commitdiff_plain;h=95788fea25c1a59985828d4b91af0772d077600b
+
+alsactl: Fix the string size for the lock file contents
+
+The string length is 10 characters + LF + '\0' = 12 characters.
+
+Signed-off-by: Jaroslav Kysela <perex at perex.cz>
+---
+
+diff --git a/alsactl/lock.c b/alsactl/lock.c
+index d34d013..fce208b 100644
+--- a/alsactl/lock.c
++++ b/alsactl/lock.c
+@@ -35,7 +35,7 @@ static int state_lock_(const char *file, int lock, int timeout)
+ 	int fd = -1, err = 0;
+ 	struct flock lck;
+ 	struct stat st;
+-	char lcktxt[11];
++	char lcktxt[12];
+ 	char *nfile;
+ 
+ 	if (!do_lock)

Copied: alsa-utils/repos/extra-x86_64/90alsa (from rev 182804, alsa-utils/trunk/90alsa)
===================================================================
--- extra-x86_64/90alsa	                        (rev 0)
+++ extra-x86_64/90alsa	2013-04-15 13:03:31 UTC (rev 182805)
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# 90alsa: suspend/wakeup ALSA devices
+
+case "$1" in
+hibernate|suspend)
+;;
+thaw|resume)
+aplay -d 1 /dev/zero
+;;
+*) exit $NA
+;;
+esac

Copied: alsa-utils/repos/extra-x86_64/PKGBUILD (from rev 182804, alsa-utils/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2013-04-15 13:03:31 UTC (rev 182805)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=alsa-utils
+pkgver=1.0.27
+pkgrel=3
+pkgdesc="An alternative implementation of Linux sound support"
+arch=('i686' 'x86_64')
+url="http://www.alsa-project.org"
+#can not use >=$pkgver due to use of letters in alsa-lib update versioning
+depends=("alsa-lib>1.0.24" 'dialog' 'pciutils' 'ncurses' 'psmisc' 'libsamplerate')
+makedepends=('xmlto' 'docbook-xsl')
+license=('GPL')
+source=(ftp://ftp.alsa-project.org/pub/utils/$pkgname-${pkgver}.tar.bz2
+        90alsa
+        alsa-restore-1.0.27.service.patch
+        alsactl-fix-buffer-overflow-1.0.27.patch)
+backup=(etc/conf.d/alsa)
+
+prepare() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/alsa-restore-1.0.27.service.patch
+  patch -Np1 -i ${srcdir}/alsactl-fix-buffer-overflow-1.0.27.patch
+}
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --disable-alsaconf \
+    --with-udev-rules-dir=/usr/lib/udev/rules.d \
+    --with-systemdsystemunitdir=/usr/lib/systemd/system
+  make
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+  install -D -m755 ../90alsa ${pkgdir}/etc/pm/sleep.d/90alsa
+
+  # dir where to save ALSA state
+  install -d ${pkgdir}/var/lib/alsa
+}
+md5sums=('cbfb21a24f63fb052b3392195639ce48'
+         '529216f6a46e61a546640e08ea7a0879'
+         '0a27f7b80351d6baa274c32d859bf037'
+         'cd577445636542f9f60b420e4ffe3f0f')

Copied: alsa-utils/repos/extra-x86_64/alsa (from rev 182804, alsa-utils/trunk/alsa)
===================================================================
--- extra-x86_64/alsa	                        (rev 0)
+++ extra-x86_64/alsa	2013-04-15 13:03:31 UTC (rev 182805)
@@ -0,0 +1,62 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/conf.d/alsa
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Restoring ALSA Levels"
+    if [[ ! -e /var/lib/alsa/asound.state ]]; then
+      /usr/sbin/alsactl $ALSA_ARGS store || { stat_fail; exit 1; }
+    fi
+    if /usr/sbin/alsactl $ALSA_ARGS restore; then
+      stat_done
+      add_daemon alsa
+    else
+      stat_fail
+      exit 1
+    fi
+
+    POWERSAVE=${POWERSAVE:-0}
+    if [[ -e /sys/module/snd_ac97_codec/parameters/power_save ]] \
+	  && (( $POWERSAVE )); then
+      echo $POWERSAVE > /sys/module/snd_ac97_codec/parameters/power_save
+      [[ -c /dev/dsp ]] && echo 1 > /dev/dsp
+    fi
+    if [[ -e /sys/module/snd_hda_intel/parameters/power_save ]] \
+	  && (( $POWERSAVE )); then
+      echo $POWERSAVE > /sys/module/snd_hda_intel/parameters/power_save
+      [[ -c /dev/dsp ]] && echo 1 > /dev/dsp
+    fi
+    ;;
+  stop)
+    SAVE_VOLUME=${SAVE_VOLUME:-yes}
+    if [[ "$SAVE_VOLUME" = "yes" ]]; then
+      stat_busy "Saving ALSA Levels"
+      /usr/sbin/alsactl $ALSA_ARGS store || { stat_fail; exit 1; }
+    else
+      stat_busy "Stopping ALSA"
+    fi
+    if [ "$MUTE_VOLUME" == "yes" ]; then
+      /usr/bin/amixer -q set Master 0 mute || { stat_fail; exit 1; }
+    fi
+    stat_done
+    rm_daemon alsa
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  force-restart)
+    stat_busy "Trying to TERM or KILL processes that are blocking ALSA..."
+    FILES="$(ls -1 /dev/snd/* | grep -vi control)"
+    fuser -k -SIGTERM $FILES
+    fuser -k $FILES
+    stat_done
+    $0 restart
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart|force-restart}"
+esac

Deleted: extra-x86_64/alsa-restore-1.0.27.service.patch
===================================================================
--- extra-x86_64/alsa-restore-1.0.27.service.patch	2013-04-15 13:01:11 UTC (rev 182804)
+++ extra-x86_64/alsa-restore-1.0.27.service.patch	2013-04-15 13:03:31 UTC (rev 182805)
@@ -1,10 +0,0 @@
---- alsa-utils-1.0.27/alsactl/alsa-restore.service.in.old	2013-04-15 14:37:57.326541394 +0200
-+++ alsa-utils-1.0.27/alsactl/alsa-restore.service.in	2013-04-15 14:38:10.179673494 +0200
-@@ -12,6 +12,6 @@
- Conflicts=shutdown.target
- 
- [Service]
--Type=oneshop
-+Type=oneshot
- ExecStart=- at sbindir@/alsactl restore
- StandardOutput=syslog

Copied: alsa-utils/repos/extra-x86_64/alsa-restore-1.0.27.service.patch (from rev 182804, alsa-utils/trunk/alsa-restore-1.0.27.service.patch)
===================================================================
--- extra-x86_64/alsa-restore-1.0.27.service.patch	                        (rev 0)
+++ extra-x86_64/alsa-restore-1.0.27.service.patch	2013-04-15 13:03:31 UTC (rev 182805)
@@ -0,0 +1,10 @@
+--- alsa-utils-1.0.27/alsactl/alsa-restore.service.in.old	2013-04-15 14:37:57.326541394 +0200
++++ alsa-utils-1.0.27/alsactl/alsa-restore.service.in	2013-04-15 14:38:10.179673494 +0200
+@@ -12,6 +12,6 @@
+ Conflicts=shutdown.target
+ 
+ [Service]
+-Type=oneshop
++Type=oneshot
+ ExecStart=- at sbindir@/alsactl restore
+ StandardOutput=syslog

Copied: alsa-utils/repos/extra-x86_64/alsa.conf.d (from rev 182804, alsa-utils/trunk/alsa.conf.d)
===================================================================
--- extra-x86_64/alsa.conf.d	                        (rev 0)
+++ extra-x86_64/alsa.conf.d	2013-04-15 13:03:31 UTC (rev 182805)
@@ -0,0 +1,15 @@
+# Arguments for alsactl
+# example: ALSA_ARGS="--file /var/lib/alsa/asound.state"
+ALSA_ARGS="--file /var/lib/alsa/asound.state"
+
+# Enables powersaving mode for AC97 and hda_intel audio chips.
+# Set to 1 to enable powersaving.
+# Set to 0 to disable powersaving (default).
+POWERSAVE=0
+
+# Whether to save volume levels when stopped ("yes" or "no").
+SAVE_VOLUME="yes"
+
+# Whether to mute the master volume when stopped ("yes" or "no").
+# Useful for bad audio cards which make a noise on system poweroff.
+MUTE_VOLUME="no"

Copied: alsa-utils/repos/extra-x86_64/alsactl-fix-buffer-overflow-1.0.27.patch (from rev 182804, alsa-utils/trunk/alsactl-fix-buffer-overflow-1.0.27.patch)
===================================================================
--- extra-x86_64/alsactl-fix-buffer-overflow-1.0.27.patch	                        (rev 0)
+++ extra-x86_64/alsactl-fix-buffer-overflow-1.0.27.patch	2013-04-15 13:03:31 UTC (rev 182805)
@@ -0,0 +1,25 @@
+From: Jaroslav Kysela <perex at perex.cz>
+Date: Mon, 15 Apr 2013 12:44:13 +0000 (+0200)
+Subject: alsactl: Fix the string size for the lock file contents
+X-Git-Url: http://git.alsa-project.org/?p=alsa-utils.git;a=commitdiff_plain;h=95788fea25c1a59985828d4b91af0772d077600b
+
+alsactl: Fix the string size for the lock file contents
+
+The string length is 10 characters + LF + '\0' = 12 characters.
+
+Signed-off-by: Jaroslav Kysela <perex at perex.cz>
+---
+
+diff --git a/alsactl/lock.c b/alsactl/lock.c
+index d34d013..fce208b 100644
+--- a/alsactl/lock.c
++++ b/alsactl/lock.c
+@@ -35,7 +35,7 @@ static int state_lock_(const char *file, int lock, int timeout)
+ 	int fd = -1, err = 0;
+ 	struct flock lck;
+ 	struct stat st;
+-	char lcktxt[11];
++	char lcktxt[12];
+ 	char *nfile;
+ 
+ 	if (!do_lock)




More information about the arch-commits mailing list